<div class="table-responsive" *ngIf="asset.length > 0;else no_data">
    <table class="table org-table" [mfData]="asset" [mfRowsOnPage]="paginationOrgInfo.numberRowPerPage" #mf="mfDataTable" [(mfSortBy)]="paginationOrgInfo.assetsortBy" [(mfSortOrder)]="paginationOrgInfo.assetsortOrder">
        <thead>
            <tr>
                <th>
                    <mfDefaultSorter by="AssetId" class="sorter"> Asset Id </mfDefaultSorter>
                    <!-- <span class="glyphicon glyphicon-filter">&nbsp;</span> -->
                </th>
                <th>
                    <mfDefaultSorter by="AssetType" class="sorter">Asset Type</mfDefaultSorter>
                </th>
                <th><mfDefaultSorter by="gwSNO" class="sorter">Device Id</mfDefaultSorter></th>
                <th><mfDefaultSorter by="LastUpdatedDate" class="sorter">Asset Created Date</mfDefaultSorter></th>
                <th><mfDefaultSorter by="status" class="sorter">Status</mfDefaultSorter></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let asset of mf.data">
                <td>
                    <!-- <input type="checkbox" name="" /> -->
                    <a href="javascript:void(0)" (click)="editAsset(asset)">
                    {{asset.AssetId}}</a>
                </td>
                <td>
                    {{asset.AssetType}}
                </td>
                <td>{{asset.gwSNO}}</td>
                <td>{{asset.LastUpdatedDate | date :'MM/dd/y HH:mm:ss'}}</td>
                <td><svg class="svg-icon" [ngSwitch]="asset.status">
                    <use *ngSwitchCase="1" [attr.xlink:href]="statusSvg[1]"></use>
                    <use *ngSwitchCase="true" [attr.xlink:href]="statusSvg[1]"></use>
                    <use *ngSwitchCase="0" [attr.xlink:href]="statusSvg[0]"></use>
                    <use *ngSwitchCase="false" [attr.xlink:href]="statusSvg[0]"></use>
                    </svg></td>
            </tr>
        </tbody>
        <tfoot>
            <tr>
                <td colspan="5"></td>
            </tr>
        </tfoot>
        <tr>
            <td colspan="5" class="text-right">
                <mfBootstrapPaginator [rowsOnPageSet]="[]"></mfBootstrapPaginator>
            </td>
        </tr>
    </table>
</div>
<ng-template #no_data>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data">
        No Assets exists
    </div>
</ng-template>
